3 Commits 8c9816e32d ... 9ea0dedfa6

Author SHA1 Message Date
  vaeringjar 9ea0dedfa6 Add new experiments for computer architecture. 3 months ago
  vaeringjar 48ee7aeeab Add log changes to Harvey from last month. 3 months ago
  vaeringjar 79f2d937ad Add POC experiment with using volumes. 3 months ago

+ 13 - 0
src/blog/src/archive/ttrpg/harvey_js_alansbarn.org

@@ -68,6 +68,9 @@ same first name. And while there's a little bit of New York Zorro in
 his backstory, I have initially modeled his overall character after
 the big magnet dude from the X-folks.
 
+Brother John and I know each other because we delivered some heretics
+to justice one time. We speak Orc to each other.
+
 
 * Log
 
@@ -317,6 +320,16 @@ I missed this one.
 - We go to the River's Mouth Tavern
 
 
+** 2023-11-17 - Session #30
+
+- We go into a cave.
+
+
+** 2023-12-10 - Session #31
+
+- We fight a bunch of kobals, a ghost, and a brain zombie in a cave.
+
+
 * Footnotes
   :PROPERTIES:
   :CUSTOM_ID: footnotes

+ 7 - 0
src/experiments/src/2023/bravo_shared_volume/Dockerfile.consumer

@@ -0,0 +1,7 @@
+FROM python:3.10.12-bullseye
+
+
+WORKDIR /app
+
+
+CMD ["cat", "output.txt"]

+ 7 - 0
src/experiments/src/2023/bravo_shared_volume/Dockerfile.producer

@@ -0,0 +1,7 @@
+FROM python:3.10.12-bullseye
+
+
+WORKDIR /app
+
+
+RUN echo "something goes here" > output.txt

+ 23 - 0
src/experiments/src/2023/bravo_shared_volume/docker-compose.yml

@@ -0,0 +1,23 @@
+version: '3'
+
+services:
+  producer:
+    build:
+      context: .
+      dockerfile: Dockerfile.producer
+    container_name: producer-container
+    volumes:
+      - output-volume:/app
+
+  consumer:
+    build:
+      context: .
+      dockerfile: Dockerfile.consumer
+    container_name: consumer-container
+    volumes:
+      - output-volume:/app
+    depends_on:
+      - producer
+
+volumes:
+  output-volume:

+ 7 - 0
src/experiments/src/2023/bravo_shared_volume/junk/Dockerfile.alfa

@@ -0,0 +1,7 @@
+FROM python:3.10.12-bullseye
+
+ARG BRAVO_ZULU
+RUN ls -asl $BRAVO_ZULU
+RUN echo $BRAVO_ZULU
+
+CMD echo "foooo!" && cat $BRAVO_ZULU

+ 3 - 0
src/experiments/src/2023/bravo_shared_volume/junk/Dockerfile.bravo

@@ -0,0 +1,3 @@
+FROM python:3.10.12-bullseye
+
+RUN touch /shared/foo.txt && echo "hello world!" > /shared/foo.txt

+ 6 - 0
src/experiments/src/2023/bravo_shared_volume/junk/bravo_script.sh

@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+set -e
+set -u
+set -o pipefail
+
+touch /opt/foo.txt && echo "hello world!" > /opt/foo.txt

+ 24 - 0
src/experiments/src/2023/bravo_shared_volume/junk/docker-compose.foo.yml

@@ -0,0 +1,24 @@
+version: '3'
+
+services:
+  alfa:
+    build:
+      context: .
+      dockerfile: Dockerfile.alfa
+    environment:
+      - BRAVO_ZULU=/shared/foo.txt
+    volumes:
+      - shared-volume:/shared
+
+  bravo:
+    build:
+      context: .
+      dockerfile: Dockerfile.bravo
+    volumes:
+      # - /opt/foo.txt:/shared/foo.txt
+      # You can also use a named volume for better portability
+      - shared-volume:/shared
+    command: sleep infinity
+
+volumes:
+  shared-volume:

+ 7 - 0
src/experiments/src/2023/bravo_shared_volume/start

@@ -0,0 +1,7 @@
+#!/bin/bash
+set -e
+set -u
+set -o pipefail
+
+
+docker compose up --build --force-recreate

+ 0 - 0
src/experiments/src/2023/bravo_shared_volume/stop


Some files were not shown because too many files changed in this diff